Name:           duckmarines
Version:        1.0c
Release:        %mkrel 6
Summary:        Frantic couch multiplayer action
Group:          Games/Arcade
License:        zlib and CC-BY-SA 4.0 and CC-BY 3.0 and CC-BY 4.0
URL:            http://tangramgames.dk/games/duckmarines
#Source0:        https://github.com/SimonLarsen/duckmarines/archive/v%%{version}.tar.gz
# Forked version replacing nonfree music by libre tracks
Source0:        https://github.com/akien-mga/duckmarines-libre/archive/v%{version}-libre/%{name}-libre-%{version}-libre.tar.gz

BuildArch:      noarch
BuildRequires:  zip
Requires:       love0.10

%description
Duck Marines is a cross-platform free software PC remake of Sonic Team's
ChuChu Rocket.

Duck Marines attempts to recreate the magic from the local multiplayer
of ChuChu Rocket while adding new elements like mini games, a level editor,
colorful pixel art and more.

Mageia's version uses free music as selected by the FreeGameDev community.

%files
%doc README.md LICENSE.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/%{name}.love
%{_iconsdir}/hicolor/*/apps/%{name}.*

#----------------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}-libre-%{version}-libre

%build

%install
# Create and install the .love (zip) archive
zip -9 -r %{name}.love .
install -D -m644 %{name}.love %{buildroot}%{_gamesdatadir}/%{name}/%{name}.love

# Launcher script
cat > %{name}.sh << EOF
#!/bin/sh
love0.10 %{_gamesdatadir}/%{name}/%{name}.love
EOF
install -D -m755 %{name}.sh %{buildroot}%{_gamesbindir}/%{name}

# Desktop entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Name=Duck Marines
GenericName=Frantic couch multiplayer action
Comment=A frantic couch multiplayer action
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF
install -D -m644 %{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# Icon
pushd res/icons
  install -D -m644 32x32.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
  install -D -m644 48x48.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
  install -D -m644 vector.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
popd


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 1.0c-6.mga9
+ Revision: 1814731
- Mageia 9 Mass Rebuild

* Tue Jul 06 2021 akien <akien> 1.0c-5.mga9
+ Revision: 1734985
- Require love0.10 compatibility package (mga#25716)

* Tue Feb 18 2020 umeabot <umeabot> 1.0c-4.mga8
+ Revision: 1538430
- Mageia 8 Mass Rebuild

* Thu Nov 21 2019 daviddavid <daviddavid> 1.0c-3.mga8
+ Revision: 1462015
- fix Comment and GenericName key entry from desktop file

* Tue Sep 18 2018 umeabot <umeabot> 1.0c-2.mga7
+ Revision: 1260960
- Mageia 7 Mass Rebuild

* Tue May 10 2016 akien <akien> 1.0c-1.mga6
+ Revision: 1012366
- Version 1.0c with libre music from my fork

* Sat Apr 16 2016 akien <akien> 1.0b-7.mga6
+ Revision: 1003120
- Fix API changes for love 0.10

* Sat Feb 06 2016 umeabot <umeabot> 1.0b-6.mga6
+ Revision: 941940
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0b-5.mga5
+ Revision: 749753
- Second Mageia 5 Mass Rebuild

* Sat Oct 04 2014 akien <akien> 1.0b-4.mga5
+ Revision: 736840
- Add GenericName in the desktop entry (used for the KDE tooltip)

* Tue Sep 16 2014 umeabot <umeabot> 1.0b-3.mga5
+ Revision: 678876
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 akien <akien> 1.0b-2.mga5
+ Revision: 671699
- Custom version with CC-BY chiptune music

* Sun Aug 03 2014 akien <akien> 1.0b-1.mga5
+ Revision: 659502
- imported package duckmarines

